import httplib
import subprocess
import sys
import time
import ssl 
ssl._create_default_https_context = ssl._create_unverified_context

def send_spectre_soap_message(soap_message, wsdl_request, soap_action):
    webservice = httplib.HTTPS("localhost.localdomain",443,"/etc/pki/tls/private/localhost.key","/etc/pki/tls/certs/localhost.crt",None)
    webservice.putrequest("POST", wsdl_request)
    webservice.putheader("Host", "localhost.localdomain")
    webservice.putheader("User-Agent", "Python post")
    webservice.putheader("Content-type", "text/xml; charset=\"UTF-8\"")
    webservice.putheader("Content-length", "%d" % len(soap_message))
    webservice.putheader("SOAPAction", soap_action)
    webservice.endheaders()
    webservice.send(soap_message)
    statuscode, statusmessage, header = webservice.getreply()
    res = webservice.getfile().read()
    return res

def get_host_names(response):
    ns = get_name_space(response)
    hostNamePatternBegin = "<%s:HostName>"
    hostNamePatternEnd = "</%s:HostName>"
    pattern1 = hostNamePatternBegin%(ns)
    pattern2 = hostNamePatternEnd%(ns)
    found = []
    offset = len( pattern1 )
    index0 = response.find( pattern1 )
    index2 = response.find( pattern2 )
    hn = response[index0 + offset:index2]
    found.append(hn)
    lastIndex = index0 + offset
    index1 = 0
    while index1 != -1:	
        index1 = response.find( pattern1, lastIndex )
        lastIndex = index1 + offset
        index2 = response.find( pattern2, lastIndex )
        if index1 > 0:
            hn = response[index1 + offset:index2]
            found.append(hn)
    return found

def get_name_space(response):
    pattern1 = "<S:Body><"
    pattern2 = ":FindRegisteredVCentersResponse"	
    index1 = response.find( pattern1 ) + len(pattern1)
    index2 = response.find( pattern2 )
    namespace = response[index1:index2]
    return namespace

def unregister_vcenters(pw):
    SM_TEMPLATE_FRVC = """<?xml version="1.0" encoding="UTF-8"?>
        <soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://pg.dell.com/vcenter/consolesdk/ws">
            <soapenv:Header>
                <ws:SpectreSecurity xmlns:ws="http://pg.dell.com/spectre/security/ws" >
                    <ws:Identification type="TrustedApplicationIdentification" >
                        <ws:ApplicationId>%s</ws:ApplicationId>
                    </ws:Identification>
                </ws:SpectreSecurity>
            </soapenv:Header>
            <soapenv:Body>
                <ws:FindRegisteredVCenters xmlns:ws="http://pg.dell.com/vcenter/consolesdk/ws">
                </ws:FindRegisteredVCenters>
            </soapenv:Body>
        </soapenv:Envelope>
        """
    SM_TEMPLATE_URV = """<?xml version="1.0" encoding="UTF-8"?>
   	<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://pg.dell.com/vcenter/consolesdk/ws">
            <soapenv:Header>   
                <ws:SpectreSecurity xmlns:ws="http://pg.dell.com/spectre/security/ws">
                    <ws:Identification type="TrustedApplicationIdentification">
                        <ws:ApplicationId>%s</ws:ApplicationId>
                </ws:Identification>
            </ws:SpectreSecurity>
            </soapenv:Header>
            <soapenv:Body>
            <ws:UnRegisterExtension>
                <ws:vmmServerAddress>%s</ws:vmmServerAddress>
                    <ws:UserName></ws:UserName>
                    <ws:Password></ws:Password>
                    <ws:pluginName></ws:pluginName>
            </ws:UnRegisterExtension>
            </soapenv:Body>
	</soapenv:Envelope>
	"""
    res = send_spectre_soap_message( SM_TEMPLATE_FRVC % pw, "/VCenter/ConsoleSDK", "\"\http://pg.dell.com/vcenter/consolesdk/ws/FindRegisteredVCenterbs")
    if res.find("SpectreSecurityFault") != -1 or res.find("CTRL-CHAR") != -1:
	print "Provided password is bad"
	sys.stdout.flush()
	return False
    if res.find("HostName") != -1:
   	print "Unregistering appliance from all VCenters..."
        for host in get_host_names(res):
            print 'Unregistering with VCenter: ' ; print host
            send_spectre_soap_message( SM_TEMPLATE_URV % (pw,host), "/VCenter/ConsoleSDK",  "\"\http://pg.dell.com/vcenter/consolesdk/ws/UnRegisterExtension")
            time.sleep(5)
    else:
   	print "Appliance is not registered to any VCenters-continuing"
    return True
   
def send_login_event(appliance_ip):
    login_message = "User admin logged onto OpenManage Integration Virtual Appliance Console : %s" % appliance_ip
    print "Logging in...please wait..."
    if send_event(login_message,-199999991) is False:
        continue_prompt("Error sending login event")        
    return

def send_event(message,eventDefinitionId):
    (password, errordata) = subprocess.Popen(['/usr/sbin/getPassword.sh',], stdout=subprocess.PIPE).communicate()
    password = password.strip()
    LOGIN_EVENT_STRING = """<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/">
        <S:Header>
            <ns2:SpectreSecurity xmlns:ns2="http://pg.dell.com/spectre/security/ws" xmlns:S="http://schemas.xmlsoap.org/soap/envelope/">
                <ns2:Identification xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="ns2:TrustedApplicationIdentification">
                    <ns2:applicationId>%s</ns2:applicationId>
                </ns2:Identification>
            </ns2:SpectreSecurity>
        </S:Header>
        <S:Body>
            <ns8:NotifySubscribers xmlns="http://pg.dell.com/spectre/fault" xmlns:ns10="http://docs.oasis-open.org/wsrf/r-2" xmlns:ns2="http://docs.oasis-open.org/wsrf/bf-2" xmlns:ns3="http://www.w3.org/2005/08/addressing" xmlns:ns4="http://docs.oasis-open.org/wsn/b-2" xmlns:ns5="http://docs.oasis-open.org/wsrf/rp-2" xmlns:ns6="http://docs.oasis-open.org/wsn/t-1" xmlns:ns7="http://pg.dell.com/spectre/event" xmlns:ns8="http://pg.dell.com/spectre/eventservice/ws" xmlns:ns9="http://pg.dell.com/spectre/subscription">
                <ns8:Event>
                    <ns7:eventDefinitionId>%s</ns7:eventDefinitionId>
                    <ns7:eventMessage>%s</ns7:eventMessage>
                    <ns7:eventHost/>
                    <ns7:eventTime/>
                    <ns7:eventSeverity>Informational</ns7:eventSeverity>
                </ns8:Event>
            </ns8:NotifySubscribers>
        </S:Body>
    </S:Envelope>""" % (password,eventDefinitionId,message)
    WSDL_LOCATION = "/Spectre/EventService"
    var = 0
    while var < 10 :
        try:
            res = send_spectre_soap_message( LOGIN_EVENT_STRING, WSDL_LOCATION, "\"http://pg.dell.com/spectre/eventservice/ws/NotifySubscribers\"")
            if res.find("503 Service Temporarily Unavailable") != -1:
                var = var + 1
                print "Please wait while services initialize"
                time.sleep(20)
                continue
            return True
        except:
            var = var + 1
            print "Please wait while services initialize"
            time.sleep(20)
            continue
    return False

def restartSnmpListener():
    SM_TEMPLATE_RSL = """<?xml version="1.0" encoding="UTF-8"?>
    <soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ws="http://pg.dell.com/spectre/serveraction/ws">
        <soapenv:Header>
            <ws:SpectreSecurity xmlns:ws="http://pg.dell.com/spectre/security/ws" >
                <ws:Identification type="TrustedApplicationIdentification" >
                    <ws:ApplicationId>%s</ws:ApplicationId>
                </ws:Identification>
            </ws:SpectreSecurity>
        </soapenv:Header>
        <soapenv:Body>
            <ws:RestartSnmpListener>
            </ws:RestartSnmpListener>
        </soapenv:Body>      
    </soapenv:Envelope>
    """
    WSDL_LOCATION = "/Spectre/ServerActionService"
    (password, errordata) = subprocess.Popen(['/usr/sbin/getPassword.sh',], stdout=subprocess.PIPE).communicate()
    password = password.strip()
    soap_message = SM_TEMPLATE_RSL % password
    res = send_spectre_soap_message( soap_message, WSDL_LOCATION, "\"http://pg.dell.com/spectre/serveraction/ws/RestartSnmpListener\"")
    print "Trap reset successful"
    return
