#!/bin/bash

sslV=$1
host=$2
port=$3
user=$4
pass=$5

if [ $host ] && [ $port ] && [ -z $user ] && [ -z $pass ]; then
	export http_proxy=http://$host:$port/
	export https_proxy=https://$host:$port/
fi

if [ $host ] && [ $port ] && [ $user ] && [ $pass ]; then
	export http_proxy=http://$user:$pass@$host:$port/
	export https_proxy=https://$user:$pass@$host:$port/
fi

sleep 5
echo Bye bye HTTPD
/sbin/service httpd stop >& /usr/share/tomcatSpectre/logs/rpmupdate.log
echo Now trying a yum update
# ensure /boot is mounted so that kernel updates go through successfully
mount /boot
/usr/bin/yum clean all >> /usr/share/tomcatSpectre/logs/rpmupdate.log 2>&1

if [ "$sslV" == "true" ]; 
then
	echo enabling ssl check
	yum-config-manager --save --setopt=Dell_VC_Plugin.sslverify=true
else 
	if [ "$sslV" == "false" ]; then
		echo skipping ssl check
		yum-config-manager --save --setopt=Dell_VC_Plugin.sslverify=false
	fi
fi

/usr/bin/yum update -y >> /usr/share/tomcatSpectre/logs/rpmupdate.log 2>&1


echo REBOOTING
rm -f /var/lock/subsys/spectreboot
sleep 1
/sbin/reboot now >> /usr/share/tomcatSpectre/logs/rpmupdate.log 2>&1
