#!/bin/bash

debugmode=/etc/sysconfig/debugmode

flag=$1

# Default behaviour on no incoming parameters
if [ -z $flag ]; then flag=on ; fi

# Case insensitive parameter check
case $flag in
    [oO][fF][fF]) flag=off;;
    [oO][nN]) flag=on;;
    *) echo "invalid input parameter"; exit;;
esac

echo "turning debug mode $flag"

touch /etc/sysconfig/debugmode
chmod 666 /etc/sysconfig/debugmode

if [ "$flag" == "on" ]; then

  #====== Enable root login =====#
  if [ -f /etc/passwd ]; then 
      sed -i "s/root:x:0:0:root:\/root:\/sbin\/nologin/root:x:0:0:root:\/root:\/bin\/bash/g;" /etc/passwd
  fi
  
  echo root=enable > $debugmode

elif [ "$flag" == "off" ]; then

  #====== Disable root login =====#
  if [ -f /etc/passwd ]; then 
      sed -i "s/root:x:0:0:root:\/root:\/bin\/bash/root:x:0:0:root:\/root:\/sbin\/nologin/g;" /etc/passwd
  fi
  
  echo root=disable > $debugmode
 
fi

