#!/bin/bash

#clean
rm -f /etc/pki/tls/certs/localhost.crt
rm -f /etc/pki/tls/private/localhost.key

/usr/lib/jvm/java/jre/bin/keytool -delete -alias localhost -storepass changeit -keystore /usr/lib/jvm/java/jre/lib/security/cacerts
sleep 1

customKeyFile="/usr/share/webapps/spectre/configscripts/customer/localhost.key"
customCrtFile="/usr/share/webapps/spectre/configscripts/customer/localhost.crt"

if [ -f $customCrtFile ]
then
    cp -f $customKeyFile /etc/pki/tls/private/localhost.key
    cp -f $customCrtFile /etc/pki/tls/certs/localhost.crt
else
    cp -f /root/CA/key.pem /etc/pki/tls/private/localhost.key
    cp -f /root/CA/SpectreCert.crt /etc/pki/tls/certs/localhost.crt
fi

# change permission so that tomcat can read this file and show to user the cert CN etc
chmod 755 /etc/pki/tls/certs/localhost.crt

# generate key for token generation that can be used by tomcat.
openssl pkcs8 -topk8 -inform PEM -outform DER -in /etc/pki/tls/private/localhost.key -nocrypt > /etc/pki/tls/private/jwt.key
chown tomcat:tomcat /etc/pki/tls/private/jwt.key
chmod 0640 /etc/pki/tls/private/jwt.key
 
/usr/share/webapps/spectre/configscripts/importCert.exp

