-- Table: wsman_credentials

-- DROP TABLE wsman_credentials;

CREATE TABLE wsman_credentials
(
  wsman_credentials_id bigint NOT NULL,
  certificate_check boolean NOT NULL,
  "password" character varying(256) NOT NULL,
  "type" integer,
  userid character varying(128) NOT NULL,
  CONSTRAINT wsman_credentials_pkey PRIMARY KEY (wsman_credentials_id)
)
WITHOUT OIDS;
ALTER TABLE wsman_credentials OWNER TO spectre_admin;

-- Table: connection_profile

-- DROP TABLE connection_profile;

CREATE TABLE connection_profile
(
  connection_profile_id bigint NOT NULL,
  created_by character varying(128),
  creation_date timestamp without time zone,
  description character varying(500) NOT NULL,
  "name" character varying(250) NOT NULL,
  update_date timestamp without time zone,
  updated_by character varying(255),
  CONSTRAINT connection_profile_pkey PRIMARY KEY (connection_profile_id)
)
WITHOUT OIDS;
ALTER TABLE connection_profile OWNER TO spectre_admin;

-- Table: profile_console

-- DROP TABLE profile_console;

CREATE TABLE profile_console
(
  console_id bigint NOT NULL,
  network_address character varying(128) NOT NULL,
  CONSTRAINT profile_console_pkey PRIMARY KEY (console_id)
)
WITHOUT OIDS;
ALTER TABLE profile_console OWNER TO spectre_admin;

-- Table: profile_console_entity

-- DROP TABLE profile_console_entity;

CREATE TABLE profile_console_entity
(
  profile_console_entity_id bigint NOT NULL,
  entity_id character varying(64) NOT NULL,
  "name" character varying(64) NOT NULL,
  "type" integer,
  CONSTRAINT profile_console_entity_pkey PRIMARY KEY (profile_console_entity_id)
)
WITHOUT OIDS;
ALTER TABLE profile_console_entity OWNER TO spectre_admin;

-- Table: profile_console_entity_map

-- DROP TABLE profile_console_entity_map;

CREATE TABLE profile_console_entity_map
(
  profile_console_entity_map_id bigint NOT NULL,
  connection_profile_id bigint,
  console_id bigint,
  profile_console_entity_id bigint,
  CONSTRAINT profile_console_entity_map_pkey PRIMARY KEY (profile_console_entity_map_id),
  CONSTRAINT fk7bd1353e883572e2 FOREIGN KEY (console_id)
      REFERENCES profile_console (console_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk7bd1353edb41004c FOREIGN KEY (connection_profile_id)
      REFERENCES connection_profile (connection_profile_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk7bd1353ee291f9b FOREIGN KEY (profile_console_entity_id)
      REFERENCES profile_console_entity (profile_console_entity_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITHOUT OIDS;
ALTER TABLE profile_console_entity_map OWNER TO spectre_admin;

-- Table: profile_wsman_map

-- DROP TABLE profile_wsman_map;

CREATE TABLE profile_wsman_map
(
  profile_wsman_map_id bigint NOT NULL,
  connection_profile_id bigint,
  wsman_credentials_id bigint,
  CONSTRAINT profile_wsman_map_pkey PRIMARY KEY (profile_wsman_map_id),
  CONSTRAINT fkf1b143852b898bee FOREIGN KEY (wsman_credentials_id)
      REFERENCES wsman_credentials (wsman_credentials_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fkf1b14385db41004c FOREIGN KEY (connection_profile_id)
      REFERENCES connection_profile (connection_profile_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITHOUT OIDS;
ALTER TABLE profile_wsman_map OWNER TO spectre_admin;




