-- Table: server_status_lookup

-- DROP TABLE server_status_lookup;

CREATE TABLE server_status_lookup
(
  statusid bigint NOT NULL,
  status_type integer,
  status_description character varying(200),
  status_name character varying(30),
  CONSTRAINT server_status_lookup_pkey PRIMARY KEY (statusid),
  CONSTRAINT "server_status_UK" UNIQUE (status_type)
)
WITHOUT OIDS;
ALTER TABLE server_status_lookup OWNER TO spectre_admin;


-- Table: server_details

-- DROP TABLE server_details;

CREATE TABLE server_details
(
  serverid bigint NOT NULL,
  service_tag character varying(7),
  host_lom_mac character varying(200),
  host_name character varying(256),
  ip_address character varying(128),
  mac_address character varying(128),
  model character varying(256),
  username character varying(256),
  "password" character varying(500),  
  server_ip character varying(128),
  server_status integer DEFAULT 0,
  "template" character varying(256),
  "version" real,
  CONSTRAINT server_details_pkey PRIMARY KEY (serverid),
  CONSTRAINT "server_status_FK" FOREIGN KEY (server_status)
      REFERENCES server_status_lookup (status_type) MATCH SIMPLE
      ON UPDATE RESTRICT ON DELETE RESTRICT,
  CONSTRAINT server_details_service_tag_key UNIQUE (service_tag),
  CONSTRAINT server_details_IP_Address UNIQUE (ip_address)
)
WITHOUT OIDS;
ALTER TABLE server_details OWNER TO spectre_admin;


-- Table: service_tag_details
  
-- DROP TABLE service_tag_details;

CREATE TABLE service_tag_details
(
  servicetagdetailsid bigint NOT NULL,
  service_tag character varying(7),
  CONSTRAINT service_tag_details_pkey PRIMARY KEY (servicetagdetailsid),
  CONSTRAINT service_tag_details_service_tag_key UNIQUE (service_tag)
)
WITHOUT OIDS;
ALTER TABLE service_tag_details OWNER TO spectre_admin;