-- Table: vcenter_details

-- DROP TABLE vcenter_details;

CREATE TABLE vcenter_details
(
  create_date timestamp with time zone,
  vcenter_instance character varying(250),
  username character varying(250),
  "password" character varying(250),
  vcenter_destination character varying(250),
  vcenter_destination_id character varying(250),
  vcenter_node_type character varying(100),
  lock_down_mode boolean,
  host_profile character varying(250),
  vcenter_details_id bigint NOT NULL,
  CONSTRAINT vcenter_pkey PRIMARY KEY (vcenter_details_id)
)
WITHOUT OIDS;
ALTER TABLE vcenter_details OWNER TO spectre_admin;

-- Table: operating_system_profile

-- DROP TABLE operating_system_profile;

CREATE TABLE operating_system_profile
(
  os_profile_id bigint NOT NULL,
  iso_location character varying(255),
  "name" character varying(250) NOT NULL,
  description character varying(1000),
  creation_date timestamp without time zone NOT NULL,
  update_date timestamp without time zone,
  "domain" character varying(128),
  username character varying(250),
  "password" character varying(250),
  updated_by character varying(250),
  share_type character varying(200),
  staging_folder character varying(1000),
  vcenter_network_address character varying(255) NOT NULL,
  vcenter_details_id bigint,
  CONSTRAINT os_profile_pkey PRIMARY KEY (os_profile_id),
  CONSTRAINT "vCenter_details_FK" FOREIGN KEY (vcenter_details_id)
      REFERENCES vcenter_details (vcenter_details_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,

  CONSTRAINT "os_profile_name_vmmAddress_UK1" UNIQUE (name,vcenter_network_address)
)
WITHOUT OIDS;
ALTER TABLE operating_system_profile OWNER TO spectre_admin;