-- Table: hardware_profile_config_details

-- DROP TABLE hardware_profile_config_details;

CREATE TABLE hardware_profile_config_details
(
  boot_order_details_xml character varying(1024000),
  hardware_profile_config_details_id bigint NOT NULL,
  bios_settings_xml character varying(1024000),
  raid_config_xml character varying(1024000),
  idrac_config_xml character varying(1024000),
  CONSTRAINT "hw_profile_ref_server_PKey" PRIMARY KEY (hardware_profile_config_details_id)
)
WITHOUT OIDS;
ALTER TABLE hardware_profile_config_details OWNER TO spectre_admin;

-- Table: hardware_profile

-- DROP TABLE hardware_profile;

CREATE TABLE hardware_profile
(
  hardware_profile_id bigint NOT NULL,
  "name" character varying(250) NOT NULL,
  description character varying(1000),
  creation_date timestamp without time zone NOT NULL,
  update_date timestamp without time zone,
  updated_by character varying(250) NOT NULL,
  vmmserveraddress character varying(250),
  referenceidracip character varying(255),
  servicetag character varying(7),
  referencehostnameorip character varying(255),
  idracmodel character varying(30),
  profiledefaultaction character varying(100),
  hardware_config_details_id bigint,
  CONSTRAINT hardware_profile_pkey PRIMARY KEY (hardware_profile_id),
  CONSTRAINT "hardware_profile_config_FKey" FOREIGN KEY (hardware_config_details_id)
      REFERENCES hardware_profile_config_details (hardware_profile_config_details_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT hardware_profile_name_vmmAddress_UK1 UNIQUE (name, vmmserveraddress)
)
WITHOUT OIDS;
ALTER TABLE hardware_profile OWNER TO spectre_admin;