-- Table: deployment_template

-- DROP TABLE deployment_template;

CREATE TABLE deployment_template
(
  deployment_template_id bigint NOT NULL,
  hardware_profile_id bigint,
  os_profile_id bigint,
  "name" character varying(50) NOT NULL,
  creation_date timestamp without time zone,
  description character varying(1000),
  update_date timestamp without time zone,
  updated_by character varying(250),
  created_by character varying(250),
  vcenter_network_address character varying(255) NOT NULL,
  CONSTRAINT deployment_template_pkey PRIMARY KEY (deployment_template_id),
  CONSTRAINT "os_profile_FK" FOREIGN KEY (os_profile_id)
      REFERENCES operating_system_profile (os_profile_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT "hardware_profile_FK" FOREIGN KEY (hardware_profile_id)
      REFERENCES hardware_profile (hardware_profile_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL,
  CONSTRAINT "deployment_template_name_vmmAddress_UK1" UNIQUE (name,vcenter_network_address)  
  
)
WITHOUT OIDS;
ALTER TABLE deployment_template OWNER TO spectre_admin;