-- Table: subscription

-- DROP TABLE subscription;

CREATE TABLE subscription
(
  subscription_id bigint NOT NULL,
  endpoint_reference character varying(4096),
  last_notification_attempt timestamp without time zone,
  last_successful_success timestamp without time zone,
  active boolean,
  CONSTRAINT subscription_pkey PRIMARY KEY (subscription_id)
)
WITHOUT OIDS;
ALTER TABLE subscription OWNER TO spectre_admin;





-- Table: event_filter

-- DROP TABLE event_filter;

CREATE TABLE event_filter
(
  event_filter_id bigint NOT NULL,
  description character varying(255),
  "name" character varying(255),
  CONSTRAINT event_filter_pkey PRIMARY KEY (event_filter_id)
)
WITHOUT OIDS;
ALTER TABLE event_filter OWNER TO spectre_admin;





-- Table: subscription_event_filter

-- DROP TABLE subscription_event_filter;

CREATE TABLE subscription_event_filter
(
  subscription_id bigint NOT NULL,
  event_filter_id bigint NOT NULL,
  CONSTRAINT subscription_event_filter_pkey PRIMARY KEY (subscription_id, event_filter_id),
  CONSTRAINT subscription_event_filter_event_filter_id FOREIGN KEY (event_filter_id)
      REFERENCES event_filter (event_filter_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT subscription_event_filter_subscription_id FOREIGN KEY (subscription_id)
      REFERENCES subscription (subscription_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITHOUT OIDS;
ALTER TABLE subscription_event_filter OWNER TO spectre_admin;




-- Table: event_filter_event_definition

-- DROP TABLE event_filter_event_definition;

CREATE TABLE event_filter_event_definition
(
  event_filter_id bigint NOT NULL,
  event_definition_id bigint NOT NULL,
  CONSTRAINT event_filter_event_definition_pkey PRIMARY KEY (event_filter_id, event_definition_id),
  CONSTRAINT event_filter_event_definition_event_definition_id FOREIGN KEY (event_definition_id)
      REFERENCES event_definition (event_definition_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT event_filter_event_definition_event_filter_id FOREIGN KEY (event_filter_id)
      REFERENCES event_filter (event_filter_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT event_filter_event_definition_event_filter_id_key UNIQUE (event_filter_id, event_definition_id)
)
WITHOUT OIDS;
ALTER TABLE event_filter_event_definition OWNER TO spectre_admin;