-- Table: deployable_server

-- DROP TABLE deployable_server;

CREATE TABLE deployable_server
(
  server_id bigint NOT NULL,
  alternate_dns character varying(250),
  connection_profile_id bigint,
  default_gateway character varying(128),
  deployment_template_id bigint,
  host_name character varying(256),
  idrac_ip character varying(128) NOT NULL,
  ip_address character varying(128),
  preferred_dns character varying(250),
  service_tag character varying(7),
  subnet_mask character varying(128),
  use_dhcp_ip boolean NOT NULL DEFAULT false,
  uuid character varying(250) NOT NULL,
  server_group_id bigint NOT NULL,
  add_to_vcenter boolean NOT NULL DEFAULT false,
  nic_for_mgmt_tasks character varying(128),
  status character varying(255),
  install_status boolean NOT NULL DEFAULT false,
  install_logs character varying(5120),
  CONSTRAINT deployable_server_pkey PRIMARY KEY (server_id),
  CONSTRAINT "deployment_template_FK" FOREIGN KEY (deployment_template_id)
      REFERENCES deployment_template (deployment_template_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL,
  CONSTRAINT "server_group_FK" FOREIGN KEY (server_group_id)
      REFERENCES deployable_group (server_group_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL
)
WITHOUT OIDS;
ALTER TABLE deployable_server OWNER TO spectre_admin;