CREATE SEQUENCE seq_task_deployable_server_map
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE seq_task_deployable_server_map OWNER TO spectre_admin;

CREATE OR REPLACE VIEW v_task_deployable_server_map AS 
 SELECT nextval('seq_task_deployable_server_map') as map_id,
  deployable_server.ip_address as ip_address, 
  deployable_server.service_tag as service_tag, 
  task.task_id as task_id, 
  deployable_server.host_name as host_name, 
  deployable_server.idrac_ip as idrac_ip,
  deployable_server.server_id,
  deployable_server.status
FROM 
  public.deployable_server deployable_server, 
  public.task task, 
  public.task_console_map task_console_map, 
  public.console_entity console_entity
WHERE 
  task.task_id = task_console_map.task_id AND
  task_console_map.console_entity_id = console_entity.console_entity_id AND
  console_entity.entity_id = deployable_server.server_group_id;
  
ALTER TABLE v_task_deployable_server_map OWNER TO spectre_admin;