-- Table: task_hostlist
-- DROP TABLE task_hostlist;
CREATE TABLE task_hostlist
(
  task_hostlist_id bigint NOT NULL,
  task_id bigint,
  host_name character varying(255),
  CONSTRAINT task_hostlist_pkey PRIMARY KEY (task_hostlist_id),
  CONSTRAINT fk_task FOREIGN KEY (task_id)
      REFERENCES task (task_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITHOUT OIDS;
ALTER TABLE task_hostlist OWNER TO spectre_admin;

 --=========================================================================
--
--  NAME       : SEQ_TASK_HOSTLIST
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_TASK_HOSTLIST;

CREATE SEQUENCE SEQ_TASK_HOSTLIST
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK_HOSTLIST OWNER TO spectre_admin;
  
--==========================================================================
--Alter table task_execution_history Add Column task_creation_time timestamp without time zone;
Alter table server_details Add Column csior_status boolean NOT NULL DEFAULT false;
Alter table server_details Add Column chassis_service_tag character varying(7);
Alter table server_details Add Column platform_guid character varying(128);
Alter table server_details Add Column installed_idrac_frwr_ver character varying(128);
Alter table server_details Add Column installed_bios_ver character varying(128);
Alter table server_details Add Column installed_lifecycle_cntrlr_ver character varying(128);
Alter table server_details Add Column available_idrac_frwr_ver character varying(128);
Alter table server_details Add Column available_bios_ver character varying(128);
Alter table server_details Add Column available_lifecycle_cntrlr_ver character varying(128);  

--To indicate whether the given system is 11g or not from inventory
ALTER TABLE device ADD COLUMN is_11g boolean NOT NULL DEFAULT false;
ALTER TABLE device ADD COLUMN is_licence_mgmt boolean NOT NULL DEFAULT false;
ALTER TABLE device ADD COLUMN country_code character varying(10);


--Needed to record when db version upgrade scripts are run
CREATE TABLE schema_changes
(
  script_name varchar(1024),
  date_applied timestamp,
  version varchar(64),
  database varchar(128)
);
ALTER TABLE schema_changes OWNER TO spectre_admin;


CREATE TABLE spectre_db_version
(
  version varchar(64),
  date_updated timestamp,
  spectre_db_version_id int,
  CONSTRAINT spectre_db_version_pkey PRIMARY KEY (spectre_db_version_id)
);
ALTER TABLE spectre_db_version OWNER TO spectre_admin;

--14subscription_event_filter changes, including a re-factoring to get rid of tables
ALTER TABLE subscription ADD COLUMN filterSetting character varying(4096);
--DROP TABLE event_filter;
--DROP TABLE subscription_event_filter;
--DROP TABLE event_filter_event_definition;

--22iDRAC_NIC_DETAILS column add
ALTER TABLE idrac_nic_details ADD COLUMN flex_mac_address character varying(256);

--Updated deploymentTemplate name size
ALTER TABLE deployment_template ALTER "name" TYPE character varying(250);

--Add new column for vLanId in deployable_server
ALTER TABLE deployable_server ADD COLUMN vLan_id int DEFAULT -1;

--Add new column for install_omsa in deployable_server
ALTER TABLE deployable_server ADD COLUMN install_omsa boolean DEFAULT TRUE;

--Add new column for vLanId in deployable_group
ALTER TABLE deployable_group ADD COLUMN vLan_id int DEFAULT -1;

--Add new column for install_omsa in deployable_group
ALTER TABLE deployable_group ADD COLUMN install_omsa boolean DEFAULT TRUE;

--Add new column for client_id in task table
ALTER TABLE task ADD COLUMN client_id bigint DEFAULT 0;

--Add new column for lc_code and lc_string in task_execution_detail_history
ALTER TABLE task_execution_detail_history ADD COLUMN lc_error_code character varying(10);
ALTER TABLE task_execution_detail_history ADD COLUMN lc_error_string character varying(2000);




