-- fix for defect 11315
ALTER TABLE task ALTER COLUMN "parameters" TYPE character varying(2048);

ALTER TABLE wsman_credentials ADD COLUMN ad_account boolean NOT NULL DEFAULT false;

ALTER TABLE wsman_credentials ALTER COLUMN userid TYPE character varying(256);

-- Create tables and sequenceS for One-to-Many firmware updates.
CREATE SEQUENCE SEQ_FIRMWARE
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_FIRMWARE OWNER TO spectre_admin;
  
CREATE SEQUENCE SEQ_FIRMWARE_DETAILS
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_FIRMWARE_DETAILS OWNER TO spectre_admin;    
  
CREATE TABLE firmware_group
(
  group_id bigint NOT NULL,
  job_name character varying(256),
  job_description character varying(2048),
  vmm_server_address character varying(255) NOT NULL DEFAULT 'UNKNOWN'::character varying,
  status character varying(255),
  do_reboot boolean,
  force_reboot boolean,
  exit_maintenance_mode boolean,
  CONSTRAINT firmware_group_id_pkey PRIMARY KEY (group_id),
  CONSTRAINT firmware_group_name_key UNIQUE (job_name, vmm_server_address)
)
WITHOUT OIDS;
ALTER TABLE firmware_group OWNER TO spectre_admin;


CREATE TABLE firmware_group_details
(
  group_details_id bigint NOT NULL,
  group_id bigint NOT NULL,
  host_name character varying(256),
  host_firmware_details_xml character varying(1024000),
  status character varying(255),
  message_group character varying(256),
  CONSTRAINT group_details_id_pkey PRIMARY KEY (group_details_id),
  CONSTRAINT "group_id_FK" FOREIGN KEY (group_id)
      REFERENCES firmware_group (group_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL,
  CONSTRAINT unique_message_guid UNIQUE (message_group)
)
WITHOUT OIDS;
ALTER TABLE firmware_group_details OWNER TO spectre_admin;

ALTER TABLE host_compliance ALTER COLUMN "hypervisor_version" TYPE character varying(100);