--Entries for ProactiveHA event severity
ALTER TABLE profile_console_entity ADD COLUMN PHA_Host_Status character varying(64);
ALTER TABLE event_definition ADD COLUMN redundant_component character varying(64);
ALTER TABLE event_definition ADD COLUMN overridden_severity_id bigint;
ALTER TABLE snmp_event ADD COLUMN message_id character varying(64);


--Entries for multi-cluster parallel firmware update
ALTER TABLE firmware_group ADD COLUMN group_name character varying(255) NOT NULL DEFAULT 'UNKNOWN'::character varying;
ALTER TABLE firmware_group ADD COLUMN failure_tolerance smallint NOT NULL DEFAULT 0;

-- Alter deployable group to contain vcenter details
ALTER TABLE deployable_group ADD COLUMN vcenter_details_id bigint;
ALTER TABLE deployable_group ADD CONSTRAINT "vCenter_details_FK" FOREIGN KEY (vcenter_details_id)
      REFERENCES vcenter_details (vcenter_details_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION ;

--Entries for VROPS metrics collection
CREATE TABLE metric_type
(
  metric_type_id bigint NOT NULL,
  metric_type_name character varying(100),
  metric_type_description character varying(300),
  CONSTRAINT metric_type_pkey PRIMARY KEY (metric_type_id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE metric_type
  OWNER TO spectre_admin;

  
CREATE TABLE chassis_metrics
(
  chassis_metrics_id bigint NOT NULL,
  chassis_id bigint,
  time_stamp timestamp without time zone,
  metric_type_id bigint,
  metric_data character varying(1024000),
  CONSTRAINT chassis_metrics_pkey PRIMARY KEY (chassis_metrics_id),
  CONSTRAINT chassis_metrics_chassis_id_fkey FOREIGN KEY (chassis_id)
      REFERENCES chassis (chassis_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE,
  CONSTRAINT chassis_metrics_metric_type_id_fkey FOREIGN KEY (metric_type_id)
      REFERENCES metric_type (metric_type_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE chassis_metrics
  OWNER TO spectre_admin;


CREATE TABLE server_metrics
(
  server_metrics_id bigint NOT NULL,
  device_id bigint,
  time_stamp timestamp without time zone,
  metric_type_id bigint,
  metric_data character varying(1024000),
  CONSTRAINT server_metric_pkey PRIMARY KEY (server_metrics_id),
  CONSTRAINT server_metric_device_id_fkey FOREIGN KEY (device_id)
      REFERENCES device (device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE,
  CONSTRAINT server_metrics_metric_type_id_fkey FOREIGN KEY (metric_type_id)
      REFERENCES metric_type (metric_type_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE server_metrics
  OWNER TO spectre_admin;

 CREATE SEQUENCE SEQ_SERVER_METRICS
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_SERVER_METRICS OWNER TO spectre_admin; 
  
  CREATE SEQUENCE SEQ_CHASSIS_METRICS
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_CHASSIS_METRICS OWNER TO spectre_admin; 
  
  
 CREATE TABLE pha_event_state
(
  event_log_id bigint NOT NULL,
  source_ip character varying(256),
  event_definition_id bigint,
  severity character varying(256),
  component character varying(64)
 )
WITH (
  OIDS=FALSE
);
ALTER TABLE pha_event_state
  OWNER TO spectre_admin;