--Entries for idrac Lockdown mode
ALTER TABLE device ADD COLUMN lockdown_status smallint NOT NULL DEFAULT 0::smallint;
ALTER TABLE host_compliance ADD COLUMN snmp_status character varying(20) NOT NULL DEFAULT 'UNKNOWN'::character varying;
ALTER TABLE host_compliance ADD COLUMN wbem_status character varying(20) NOT NULL DEFAULT 'UNKNOWN'::character varying;
ALTER TABLE server_details ADD COLUMN lockdown_status smallint NOT NULL DEFAULT 0::smallint;
ALTER TABLE deployable_server ADD COLUMN failure_details character varying(1024000);
ALTER TABLE deployable_server ADD COLUMN os_install_complete boolean DEFAULT false;

--Tables for System Profile
 CREATE TABLE sp_component_config
(
  sp_component_config_id bigint NOT NULL,
  
  sp_component_config_json TEXT, 
  
  CONSTRAINT pk_sp_component_config_id PRIMARY KEY (sp_component_config_id)
  
)
WITH (
  OIDS=FALSE
);


ALTER TABLE sp_component_config
  OWNER TO spectre_admin;
  
CREATE TABLE system_profile
(
  sp_id bigint NOT NULL,
  sp_name character varying(256) NOT NULL,
  sp_description character varying(1024),
  sp_creation_time timestamp without time zone,
  sp_update_time timestamp without time zone,
  sp_updated_by character varying(250) NOT NULL,
  sp_vmmserveraddress character varying(256),
  sp_idrac_model character varying(256),
  sp_reference_ip character varying(256),
  sp_service_tag character varying(256),
  sp_referencehostnameorip character varying(256),
  sp_profiledefaultaction character varying(100),
  sp_system_model character varying(256),
  sp_json character varying(1024000), 
  scp_capture_details_id bigint,
  sp_component_config_id bigint,
  
  CONSTRAINT pk_sp_id PRIMARY KEY (sp_id),
  CONSTRAINT "sp_config_FKey" FOREIGN KEY (sp_component_config_id)
  		REFERENCES sp_component_config (sp_component_config_id) MATCH SIMPLE
  		ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT system_profile_name_vmmAddress_UK1 UNIQUE (sp_name, sp_vmmserveraddress)
)
WITH (
  OIDS=FALSE
);

ALTER TABLE system_profile
  OWNER TO spectre_admin;
    
  
   CREATE TABLE scp_capture_details
(
  scp_capture_details_id bigint NOT NULL,
  
  scp_json character varying(1024000), 
  
  scp_reference_ip character varying(256),
  
  CONSTRAINT pk_scp_capture_details_id  PRIMARY KEY (scp_capture_details_id)
  
)
WITH (
  OIDS=FALSE
);


ALTER TABLE scp_capture_details
  OWNER TO spectre_admin;
  
 CREATE SEQUENCE SEQ_SP
  MINVALUE 1000
  MAXVALUE 999999999999999999
  START WITH 1000
  NO CYCLE;
ALTER TABLE SEQ_SP OWNER TO spectre_admin;


CREATE SEQUENCE SEQ_SP_COMPONENET_CONFIG
  MINVALUE 1000
  MAXVALUE 999999999999999999
  START WITH 1000
  NO CYCLE;
ALTER TABLE SEQ_SP_COMPONENET_CONFIG OWNER TO spectre_admin;

CREATE SEQUENCE SEQ_SCP_CAPTURE
  MINVALUE 1000
  MAXVALUE 999999999999999999
  START WITH 1000
  NO CYCLE;
ALTER TABLE SEQ_SCP_CAPTURE OWNER TO spectre_admin;

-- Tables related to one to many lockdown status change
CREATE SEQUENCE SEQ_LOCKDOWN_GRP
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_LOCKDOWN_GRP OWNER TO spectre_admin;
  
CREATE SEQUENCE SEQ_LOCKDOWN_DETAILS
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_LOCKDOWN_DETAILS OWNER TO spectre_admin;    
  
CREATE TABLE lockdown_group
(
  group_id bigint NOT NULL,
  job_name character varying(256),
  job_description character varying(2048),
  vmm_server_address character varying(255) NOT NULL DEFAULT 'UNKNOWN'::character varying,
  status character varying(255),
  user_name character varying(255),
  lockdown_status boolean,
  CONSTRAINT lockdown_group_id_pkey PRIMARY KEY (group_id),
  CONSTRAINT lockdown_group_name_key UNIQUE (job_name, vmm_server_address)
)
WITHOUT OIDS;
ALTER TABLE lockdown_group OWNER TO spectre_admin;


CREATE TABLE lockdown_group_details
(
  group_details_id bigint NOT NULL,
  group_id bigint NOT NULL,
  host_name character varying(256),
  status character varying(255),
  CONSTRAINT lockdown_group_details_id_pkey PRIMARY KEY (group_details_id),
  CONSTRAINT "lockdown_group_id_FK" FOREIGN KEY (group_id)
      REFERENCES lockdown_group (group_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL
)
WITHOUT OIDS;
ALTER TABLE lockdown_group_details OWNER TO spectre_admin;


--Alter deployment template for accomodating system profile
 ALTER TABLE deployment_template ADD COLUMN system_profile_id bigint;
 ALTER TABLE deployment_template ADD CONSTRAINT "system_profile_FK" FOREIGN KEY (system_profile_id)
      REFERENCES system_profile (sp_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL;
   

