--Entries to support NGM Chassis
ALTER TABLE chassis_fan DROP COLUMN member_id;     
ALTER TABLE chassis_fan ADD COLUMN member_id character varying(256) DEFAULT 'NOT APPLICABLE';

ALTER TABLE chassis_fan DROP COLUMN pwm;
ALTER TABLE chassis_fan ADD COLUMN pwm character varying(255) DEFAULT 'NOT APPLICABLE';

ALTER TABLE device_management DROP COLUMN ipv6Address;
ALTER TABLE device_management ADD COLUMN ipv6Address character varying(256) DEFAULT 'NOT APPLICABLE';

ALTER TABLE chassis_cmc DROP COLUMN ipv6_enabled;
ALTER TABLE chassis_cmc ADD COLUMN ipv6_enabled boolean DEFAULT FALSE;

ALTER TABLE chassis_cmc DROP COLUMN ipv6_dhcp_enabled;
ALTER TABLE chassis_cmc ADD COLUMN ipv6_dhcp_enabled boolean DEFAULT FALSE;

ALTER TABLE chassis_cmc DROP COLUMN link_local_address;
ALTER TABLE chassis_cmc ADD COLUMN link_local_address character varying(255) DEFAULT 'NOT APPLICABLE';

ALTER TABLE chassis_cmc DROP COLUMN ipv6_gateway;
ALTER TABLE chassis_cmc ADD COLUMN ipv6_gateway character varying(255) DEFAULT 'NOT APPLICABLE';;

ALTER TABLE chassis_cmc DROP COLUMN ipv6_preferred_dns_server;
ALTER TABLE chassis_cmc ADD COLUMN ipv6_preferred_dns_server character varying(255) DEFAULT 'NOT APPLICABLE';

ALTER TABLE chassis_cmc DROP COLUMN ipv6_alternate_dns_server;
ALTER TABLE chassis_cmc ADD COLUMN ipv6_alternate_dns_server character varying(255) DEFAULT 'NOT APPLICABLE';

ALTER TABLE chassis_cmc DROP COLUMN quick_sync_hardware_present;
ALTER TABLE chassis_cmc ADD COLUMN quick_sync_hardware_present boolean DEFAULT FALSE;

ALTER TABLE chassis_cmc DROP COLUMN lcd_present;
ALTER TABLE chassis_cmc ADD COLUMN lcd_present boolean DEFAULT FALSE;

ALTER TABLE chassis_cmc DROP COLUMN led_present;
ALTER TABLE chassis_cmc ADD COLUMN led_present boolean DEFAULT FALSE;

ALTER TABLE chassis_cmc DROP COLUMN kvm_enabled;
ALTER TABLE chassis_cmc ADD COLUMN kvm_enabled boolean DEFAULT FALSE;

ALTER TABLE chassis_power_supply DROP COLUMN inputvoltage;
ALTER TABLE chassis_power_supply ADD COLUMN inputvoltage bigint;

ALTER TABLE profile_console_entity_map ADD COLUMN chassis_connection_profile_id bigint;
ALTER TABLE profile_console_entity_map ADD CONSTRAINT "chassis_connection_profile_FK" FOREIGN KEY (chassis_connection_profile_id)
      REFERENCES tetris_connection_profile (connection_profile_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION ;

--Entry to support SystemGeneration for OEM machines 
ALTER TABLE server_details DROP COLUMN system_generation;
ALTER TABLE server_details ADD COLUMN system_generation integer DEFAULT 0;

DROP VIEW v_profile_service_tag_entity_map;
CREATE OR REPLACE VIEW v_profile_service_tag_entity_map AS 
 SELECT nextval('seq_profile_service_tag_entity_map') as map_id, cp.connection_profile_id, cp.name AS connection_profile_name, chp.connection_profile_id as chassis_connection_profile_id, chp.name AS chassis_connection_profile_name, pce.profile_console_entity_id, pce.entity_id, pce.name AS profile_entity_name, pce."type", hi.service_tag, pc.network_address
   FROM profile_console pc
   JOIN profile_console_entity_map pcem ON pc.console_id = pcem.console_id
   JOIN profile_console_entity pce ON pce.profile_console_entity_id = pcem.profile_console_entity_id
   LEFT JOIN connection_profile cp ON cp.connection_profile_id = pcem.connection_profile_id
   LEFT JOIN tetris_connection_profile chp ON chp.connection_profile_id = pcem.chassis_connection_profile_id  
   LEFT JOIN device ON device.host_ip::text = pce.name::text
   LEFT JOIN hardware_inventory hi ON hi.device_id = device.device_id;

ALTER TABLE v_profile_service_tag_entity_map OWNER TO spectre_admin;

--- Fabric Table
CREATE TABLE chassis_fabric
(
  fabric_id bigint NOT NULL,
  chassis_id bigint NOT NULL,
  name character varying(255),
  description character varying(255),
  health character varying(255),
  switch_count bigint,
  compute_count bigint,
  uplink_count bigint,
  CONSTRAINT chassis_fabric_pkey PRIMARY KEY (fabric_id),
  CONSTRAINT fk_chassis_fabric_chassis FOREIGN KEY (chassis_id)
  REFERENCES chassis (chassis_id) MATCH SIMPLE
  ON UPDATE CASCADE ON DELETE CASCADE
);

ALTER TABLE chassis_fabric OWNER TO spectre_admin;

CREATE SEQUENCE seq_chassis_fabric_type
 MINVALUE 1000
 MAXVALUE 999999999999
START WITH 1000
NO CYCLE;
ALTER TABLE seq_chassis_fabric_type OWNER TO spectre_admin;

--- Fabric details Table
CREATE TABLE chassis_fabric_members
(
  member_id bigint NOT NULL,
  fabric_id bigint NOT NULL,
  designnode character varying(255),
  physicalnode character varying(255),
  CONSTRAINT chassis_fabric_members_pkey PRIMARY KEY (member_id),
  
  CONSTRAINT fk_chassis_fabric_members_chassis_fabric FOREIGN KEY (fabric_id)
  REFERENCES chassis_fabric (fabric_id) MATCH SIMPLE
  ON UPDATE CASCADE ON DELETE CASCADE
);

ALTER TABLE chassis_fabric_members OWNER TO spectre_admin;

CREATE SEQUENCE seq_chassis_fabric_members_type
 MINVALUE 1000
 MAXVALUE 999999999999
START WITH 1000
NO CYCLE;

ALTER TABLE seq_chassis_fabric_members_type OWNER TO spectre_admin;

ALTER TABLE firmware_group DROP COLUMN reset_delete_jobs;
ALTER TABLE firmware_group ADD COLUMN reset_delete_jobs boolean DEFAULT FALSE;

ALTER TABLE server_details DROP COLUMN boss_card_avail;
ALTER TABLE server_details ADD COLUMN boss_card_avail boolean NOT NULL DEFAULT FALSE;