DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(baseline_compliance_id) FROM baseline_compliance INTO max_id;
    SELECT last_value FROM seq_baseline_compliance INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_baseline_compliance                  RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(cmc_id) FROM chassis_cmc INTO max_id;
    SELECT last_value FROM seq_chassis_cmc_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_cmc_type                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(member_id) FROM chassis_fabric_members INTO max_id;
    SELECT last_value FROM seq_chassis_fabric_members_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_fabric_members_type          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(fabric_id) FROM chassis_fabric INTO max_id;
    SELECT last_value FROM seq_chassis_fabric_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_fabric_type                  RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(fan_id) AS id FROM chassis_fan
           UNION ALL
           SELECT max(chassis_firmware_details_id) AS id FROM chassis_firmware_details
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_chassis_fan_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_fan_type                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(ikvm_id) FROM chassis_ikvm INTO max_id;
    SELECT last_value FROM seq_chassis_ikvm_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_ikvm_type                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(license_id) FROM chassis_license INTO max_id;
    SELECT last_value FROM seq_chassis_license_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_license_type                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(chassis_metrics_id) FROM chassis_metrics INTO max_id;
    SELECT last_value FROM seq_chassis_metrics INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_metrics                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(pci_id) FROM chassis_pci INTO max_id;
    SELECT last_value FROM seq_chassis_pci_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_pci_type                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(power_supply_id) FROM chassis_power_supply INTO max_id;
    SELECT last_value FROM seq_chassis_power_supply_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_power_supply_type            RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(temperature_sensor_id) FROM chassis_temperature_sensor INTO max_id;
    SELECT last_value FROM seq_chassis_temperature_sensor_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_chassis_temperature_sensor_type      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(cp_id) FROM cluster_profile INTO max_id;
    SELECT last_value FROM seq_cluster_profile INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_cluster_profile                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(cluster_table_id) FROM cluster_table INTO max_id;
    SELECT last_value FROM seq_cluster_table INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_cluster_table                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM configuration INTO max_id;
    SELECT last_value FROM seq_configuration INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_configuration                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(connection_profile_id) FROM connection_profile INTO max_id;
    SELECT last_value FROM seq_connection_profile INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_connection_profile                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(console_id) FROM console INTO max_id;
    SELECT last_value FROM seq_console INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_console                              RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(console_entity_id) FROM console_entity INTO max_id;
    SELECT last_value FROM seq_console_entity INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_console_entity                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(connection_profile_defaults_id) FROM connection_profile_defaults INTO max_id;
    SELECT last_value FROM seq_cp_defaults INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_cp_defaults                          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(credential_id) FROM credential INTO max_id;
    SELECT last_value FROM seq_credential INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_credential                           RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(server_group_id) FROM deployable_group INTO max_id;
    SELECT last_value FROM seq_deployable_group INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_deployable_group                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(server_id) FROM deployable_server INTO max_id;
    SELECT last_value FROM seq_deployable_server INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_deployable_server                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(deployment_template_id) FROM deployment_template INTO max_id;
    SELECT last_value FROM seq_deployment_template INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_deployment_template                  RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(device_id) FROM device INTO max_id;
    SELECT last_value FROM seq_device INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_device                               RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(management_id) FROM device_management INTO max_id;
    SELECT last_value FROM seq_device_management INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_device_management                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(global_status) FROM device_status INTO max_id;
    SELECT last_value FROM seq_device_status INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_device_status                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(device_type) FROM device_type INTO max_id;
    SELECT last_value FROM seq_device_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_device_type                          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(discovery_configuration_id) FROM discovery_configuration INTO max_id;
    SELECT last_value FROM seq_discovery_configuration INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_discovery_configuration              RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(discovery_configuration_group_id) FROM discovery_configuration_group INTO max_id;
    SELECT last_value FROM seq_discovery_configuration_group INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_discovery_configuration_group        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(group_details_id) FROM drift_detection_group_details INTO max_id;
    SELECT last_value FROM seq_drift_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_drift_details                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(group_id) FROM drift_detection_group INTO max_id;
    SELECT last_value FROM seq_drift_grp INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_drift_grp                            RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM driver_identity INTO max_id;
    SELECT last_value FROM seq_driver_identity INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_driver_identity                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(event_catalog_id) FROM event_catalog INTO max_id;
    SELECT last_value FROM seq_event_catalog INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_event_catalog                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM event_category INTO max_id;
    SELECT last_value FROM seq_event_category INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_event_category                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(event_log_id) AS id FROM event_log
           UNION ALL
           SELECT max(event_log_id) AS id FROM pha_event_state
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_event_log INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_event_log                            RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(event_severity_id) FROM event_severity INTO max_id;
    SELECT last_value FROM seq_event_severity INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_event_severity                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(event_type_id) FROM event_type INTO max_id;
    SELECT last_value FROM seq_event_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_event_type                           RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(group_id) AS id FROM chassis_firmware_group
           UNION ALL
           SELECT max(group_id) AS id FROM firmware_group
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_firmware INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_firmware                             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(group_details_id) AS id FROM chassis_firmware_group_details
           UNION ALL
           SELECT max(group_details_id) AS id FROM firmware_group_details
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_firmware_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_firmware_details                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(id) AS id FROM firmware_update_entity
           UNION ALL
           SELECT max(r_profile_id) AS id FROM repository_profile_table
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_firmwareupdate INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_firmwareupdate                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(hardware_inventory_id) FROM hardware_inventory INTO max_id;
    SELECT last_value FROM seq_hardware_inventory INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_hardware_inventory                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM hardware_inventory_12g INTO max_id;
    SELECT last_value FROM seq_hardware_inventory_12g INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_hardware_inventory_12g               RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(hardware_profile_id) FROM hardware_profile INTO max_id;
    SELECT last_value FROM seq_hardware_profile INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_hardware_profile                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(hardware_profile_config_details_id) FROM hardware_profile_config_details INTO max_id;
    SELECT last_value FROM seq_hardware_profile_config_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_hardware_profile_config_details      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(host_id) FROM host INTO max_id;
    SELECT last_value FROM seq_host INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_host                                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(host_compliance_id) FROM host_compliance INTO max_id;
    SELECT last_value FROM seq_host_compliance INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_host_compliance                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(idrac_nic_details_id) FROM idrac_nic_details INTO max_id;
    SELECT last_value FROM seq_idrac_nic_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_idrac_nic_details                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(device_id) AS id FROM infrastructure_device
           UNION ALL
           SELECT max(physicaldisk_id) AS id FROM storage_sled_disks
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_infrastructure_group INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_infrastructure_device                RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(group_id) FROM infrastructure_group INTO max_id;
    SELECT last_value FROM seq_infrastructure_group INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_infrastructure_group                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM localized_msg_codes INTO max_id;
    SELECT last_value FROM seq_localized_msg_codes INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_localized_msg_codes                  RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(location_type) FROM location_type INTO max_id;
    SELECT last_value FROM seq_location_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_location_type                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(group_details_id) FROM lockdown_group_details INTO max_id;
    SELECT last_value FROM seq_lockdown_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_lockdown_details                     RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(group_id) FROM lockdown_group INTO max_id;
    SELECT last_value FROM seq_lockdown_grp INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_lockdown_grp                         RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(management_type) FROM management_type INTO max_id;
    SELECT last_value FROM seq_management_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_management_type                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(metric_type_id) FROM metric_type INTO max_id;
    SELECT last_value FROM seq_metric_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_metric_type                          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(os_profile_id) FROM operating_system_profile INTO max_id;
    SELECT last_value FROM seq_operating_system_profile INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_operating_system_profile             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(physical_disk_id) FROM physical_disk INTO max_id;
    SELECT last_value FROM seq_physical_disk_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_physical_disk_type                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(console_id) FROM profile_console INTO max_id;
    SELECT last_value FROM seq_profile_console INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_profile_console                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(profile_console_entity_id) FROM profile_console_entity INTO max_id;
    SELECT last_value FROM seq_profile_console_entity INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_profile_console_entity               RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(profile_console_entity_map_id) FROM profile_console_entity_map INTO max_id;
    SELECT last_value FROM seq_profile_console_entity_map INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_profile_console_entity_map           RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(profile_wsman_map_id) FROM profile_wsman_map INTO max_id;
    SELECT last_value FROM seq_profile_wsman_map INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_profile_wsman_map                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(raid_controller_id) FROM raid_controller INTO max_id;
    SELECT last_value FROM seq_raid_controller_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_raid_controller_type                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(scp_capture_details_id) FROM scp_capture_details INTO max_id;
    SELECT last_value FROM seq_scp_capture INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_scp_capture                          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(serverId) FROM server_details INTO max_id;
    SELECT last_value FROM seq_server_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_server_details                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(server_metrics_id) FROM server_metrics INTO max_id;
    SELECT last_value FROM seq_server_metrics INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_server_metrics                       RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(server_network_interface_id) FROM server_network_interface INTO max_id;
    SELECT last_value FROM seq_server_network_interface INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_server_network_interface             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(statusId) FROM server_status_lookup INTO max_id;
    SELECT last_value FROM seq_server_status_lookup INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_server_status_lookup                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(serviceTagDetailsId) FROM service_tag_details INTO max_id;
    SELECT last_value FROM seq_service_tag_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_service_tag_details                  RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(snmp_event_id) FROM snmp_event INTO max_id;
    SELECT last_value FROM seq_snmp_event INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_snmp_event                           RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM software_identity INTO max_id;
    SELECT last_value FROM seq_software_identity INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_software_identity                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(software_type) FROM software_type INTO max_id;
    SELECT last_value FROM seq_software_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_software_type                        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(sp_id) FROM system_profile INTO max_id;
    SELECT last_value FROM seq_sp INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_sp                                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(sp_component_config_id) FROM sp_component_config INTO max_id;
    SELECT last_value FROM seq_sp_componenet_config INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_sp_componenet_config                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(storage_enclosure_id) FROM storage_enclosure INTO max_id;
    SELECT last_value FROM seq_storage_enclosure_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_storage_enclosure_type               RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(subscription_id) FROM subscription INTO max_id;
    SELECT last_value FROM seq_subscription INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_subscription                         RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(task_id) FROM task INTO max_id;
    SELECT last_value FROM seq_task INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_task                                 RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(task_execution_detail_history_id) FROM task_execution_detail_history INTO max_id;
    SELECT last_value FROM seq_task_execution_detail_history INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_task_execution_detail_history        RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(task_execution_history_id) FROM task_execution_history INTO max_id;
    SELECT last_value FROM seq_task_execution_history INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_task_execution_history               RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(map_id) FROM task_svctag_map INTO max_id;
    SELECT last_value FROM seq_task_svctag_map INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_task_svctag_map                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(task_type_id) FROM task_type INTO max_id;
    SELECT last_value FROM seq_task_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_task_type                            RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(connection_profile_id) FROM tetris_connection_profile INTO max_id;
    SELECT last_value FROM seq_tetris_connection_profile INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_tetris_connection_profile            RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(vcenter_details_id) FROM vcenter_details INTO max_id;
    SELECT last_value FROM seq_vcenter_details INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_vcenter_details                      RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(virtual_disk_id) FROM virtual_disk INTO max_id;
    SELECT last_value FROM seq_virtual_disk_type INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_virtual_disk_type                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM warranty INTO max_id;
    SELECT last_value FROM seq_warranty INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_warranty                             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(wsman_credentials_id) FROM wsman_credentials INTO max_id;
    SELECT last_value FROM seq_wsman_credentials INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_wsman_credentials                    RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
