-- DROP TABLE discovery_group;

CREATE TABLE discovery_group
(
  discovery_group_id bigint NOT NULL,
  job_name character varying(255) NOT NULL,
  job_desc character varying(1000),
    CONSTRAINT discovery_group_pkey PRIMARY KEY (discovery_group_id)
 )
WITHOUT OIDS;
ALTER TABLE discovery_group OWNER TO spectre_admin;


-- DROP TABLE discovery_range_data;

CREATE TABLE discovery_range_data
(
  range_id bigint NOT NULL,
  include_from_ip character varying(250),
  include_to_ip character varying(250),
  exclude_ip_list character varying(250),
  discovery_group_id bigint ,
  username character varying(250),
  password character varying(250),
  use_global_creds boolean NOT NULL DEFAULT false,
  CONSTRAINT discovery_range_pkey PRIMARY KEY (range_id),
  CONSTRAINT "discovery_group_FK" FOREIGN KEY (discovery_group_id)
      REFERENCES discovery_group (discovery_group_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE SET NULL
)
WITHOUT OIDS;
ALTER TABLE discovery_range_data OWNER TO spectre_admin;
  
--DROP SEQUENCE SEQ_DEPLOYABLE_GROUP;

CREATE SEQUENCE SEQ_DISCOVERY_GROUP
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_DISCOVERY_GROUP OWNER TO spectre_admin;
  
--DROP SEQUENCE SEQ_DISCOVERY_RANGE_DATA;

CREATE SEQUENCE SEQ_DISCOVERY_RANGE_DATA
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_DISCOVERY_RANGE_DATA OWNER TO spectre_admin;
  
  CREATE TABLE discovery_device
(
  entity_id bigint NOT NULL,
  idrac_ip character varying(250),  
  discovery_device_id bigint NOT NULL,
  CONSTRAINT discovery_device_pkey PRIMARY KEY (discovery_device_id)
)
WITHOUT OIDS;
ALTER TABLE discovery_device OWNER TO spectre_admin;

--DROP SEQUENCE SEQ_DISCOVERY_RANGE_DATA;

CREATE SEQUENCE SEQ_DISCOVERY_DEVICE
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_DISCOVERY_DEVICE OWNER TO spectre_admin;
  
  ALTER TABLE task_execution_detail_history ADD COLUMN discovery_device_id bigint;
  ALTER TABLE task_execution_detail_history ADD  CONSTRAINT fk_discovery_device FOREIGN KEY (discovery_device_id)
      REFERENCES discovery_device (discovery_device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;
  
  
  ALTER TABLE discovery_range_data ADD CONSTRAINT discovery_group_id_FK FOREIGN KEY (discovery_group_id) REFERENCES discovery_group(discovery_group_id);
  
  ALTER TABLE wsman_credentials ADD COLUMN use_hostcredential boolean DEFAULT TRUE;
  
  ALTER TABLE deployable_server ADD COLUMN esxi_host_password character varying(255) NULL;
  
  
