#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)
TETRIS_COMMONS_DIR=/usr/share/webapps/tetris-commons/configscripts/DBscripts/TetrisDBScript
TETRIS_SERVER_DIR=/usr/share/webapps/tetris-server/configscripts/DBscripts/TetrisDBScript
TETRIS_CHASSIS_DIR=/usr/share/webapps/tetris-chassis/configscripts/DBScripts/TetrisDBScript

echo "**********************************************"
echo " Running Spectre Database Scripts $(date) "
echo "**********************************************"


if [ ! -f /etc/sysconfig/spectre-lame ]; then

echo "Copying Trust File into ${postgresql_path}/"
cp $THIS_DIR/pg_hba.conf.trust ${postgresql_path}/pg_hba.conf

echo "Restarting the Database"
systemctl restart ${postgresql}
  
array=($THIS_DIR/DBScripts/DBSpectre/02CreateTables/* $THIS_DIR/DBScripts/DBSpectre/03CreateSequence/* $THIS_DIR/DBScripts/DBSpectre/04PopulateData/* $THIS_DIR/DBScripts/DBSpectre/05CreateViews/* $THIS_DIR/DBScripts/DBSpectre/06CreateFunctions/* $THIS_DIR/DBScripts/DBSpectre/1.0.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.0.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.0.1.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.0.1.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.0.2Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.0.2Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.5.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.5.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.5.2Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.5.2Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.6.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.6.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.7.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/1.7.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/2.0.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/2.0.0Upgrade/*DataChanges.sql $TETRIS_COMMONS_DIR/CreateTables.sql $TETRIS_COMMONS_DIR/PopulateTables.sql $TETRIS_SERVER_DIR/CreateTables.sql $TETRIS_SERVER_DIR/PopulateTables.sql $TETRIS_CHASSIS_DIR/CreateTables.sql $TETRIS_CHASSIS_DIR/PopulateTables.sql $THIS_DIR/DBScripts/DBSpectre/2.1.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/2.1.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/2.2.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/2.2.0Upgrade/*DataChanges.sql $TETRIS_COMMONS_DIR/2.3.0Upgrade/*SchemaChanges.sql $TETRIS_COMMONS_DIR/2.3.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/3.0.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/3.1.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.0.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.0.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.0.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.0.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.1.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.1.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.2.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.2.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.3.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/4.3.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/5.0.0Upgrade/*DataRemoval.sql $THIS_DIR/DBScripts/DBSpectre/5.0.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.0.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.1.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.1.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.2.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.2.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBSpectre/5.2.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBSpectre/SpectreVersion.sql)
 
# exec &>$THIS_DIR/dbScript_log.log

len=${#array[*]}

# echo "The Number of script files are: $len"

echo  "                                     "

# Role, Database and plpgsql are static. therefore we execute outsite the loop.
echo  "Creating role..."
/usr/pgsql-9.6/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/DBSpectre/01CreateDB/01RoleCreation.sql"
echo  "Creating SpectreDB..."
/usr/pgsql-9.6/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/DBSpectre/01CreateDB/02DBCreation.sql"
echo  "Adding plpgsql to SpectreDB..."
/usr/pgsql-9.6/bin/createlang plpgsql -U postgres -d SpectreDB

i=0

      while [ $i -lt $len ]; do
	
         
        echo "${array[$i]}"

        if  [ ${array[$i]:${#array[$i]}-3:3} = "txt" ] ; then
                echo "Skip this one"
        else if [ ${array[$i]:${#array[$i]}-3:3} = "sql" ] ; then
                /usr/pgsql-9.6/bin/psql -h localhost -U postgres -d SpectreDB -f "${array[$i]}"
        else
               echo Not Executable    
            fi
       fi  
       let i++
   done

fi
# end if not exist /etc/sysconfig/spectre-lame

echo "**********************************************"
echo "Copying Production Fi${postgresql_path}/"
cp $THIS_DIR/pg_hba.conf.prd ${postgresql_path}/pg_hba.conf

echo "**********************************************"
echo "Copying .pgpass to tomcat home"
cp $THIS_DIR/.pgpass ~tomcat
chmod 0600 ~tomcat/.pgpass
chown tomcat:tomcat ~tomcat/.pgpass

echo "Restarting the Database"
systemctl restart ${postgresql}

echo  "**********************************************"
echo   " Spectre Database Scripts Ended $(date)"
