#!/bin/bash

#create new cert for appliance host name and domain name
#$THIS_DIR/createCert1.exp
# using checked in cert, so untrusted notification spamming doesn't crash VCenter development servers
commonname="$(hostname)"
if [ -z "$commonname" ] || [ "$commonname" == "(none)" ]; then
    commonname="localhost"
fi

sed -i 's/^subjectAltName/#subjectAltName/' /root/CA/openssl.cnf
sed -i '/^DNS.1/d' /root/CA/openssl.cnf
altname="$(domainname)"
if [ -n "$altname" ] && [ "$altname" != "(none)" ]; then
    sed -i 's/^#subjectAltName/subjectAltName/' /root/CA/openssl.cnf
    echo "DNS.1           = $altname" >> /root/CA/openssl.cnf
fi

/root/CA/createSpectreCSR.exp $commonname

#Self sign the certificate
/root/CA/signSpectreCSR.sh

#Import the certificate
/root/CA/importNewCert.sh
