#!/bin/bash
##
##-----------------------------------------------------------
##	Configure dell_app_init.conf for admin console
##
##-----------------------------------------------------------
##
##	Copyright (c) 2014 Dell Computer Corporation
##
#############################################################

# Update the dell_app_init.conf appliance console init_shell
if [ -e /etc/dell_app_init/dell_app_init.conf ]; then 
    echo "------ Setting up dell_app_init.conf ----------"
    sed -i "s/supported_languages = \"en_US\"/supported_languages = \"en_US:de_DE:fr_FR:ja_JP:ko_KR:zh_CN:zh_TW\"/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/#eula_input_version_file =/eula_input_version_file = \/usr\/share\/webapps\/spectre\/configscripts\/eula_version/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/eula_text_filename = \/usr\/share\/doc\/dell_app_init\/sample-EULA/eula_text_filename = \/usr\/share\/webapps\/spectre\/configscripts\/EULA.txt/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/reset_script = \/bin\/true/reset_script = \"\/usr\/bin\/python \/usr\/bin\/factory_reset.py\"/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/date_time_script = \/bin\/true/date_time_script = \/usr\/bin\/ntp_mirror.sh/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/post_passwd_script = \/bin\/true/post_passwd_script = \"\/usr\/bin\/python \/usr\/bin\/change_password.py\"/g;" /etc/dell_app_init/dell_app_init.conf
    sed -i "s/post_hostname_script = \/bin\/true/post_hostname_script = \/usr\/bin\/change_hostname.sh/g;" /etc/dell_app_init/dell_app_init.conf
	
    sed -i "/password_strenght_req/c\password_strenght_req = \"8 characters minimum, a number, a symbol, and both capital and lower-case are required.\"" /etc/dell_app_init/dell_app_init.conf
    sed -i "/window_title =/c\window_title = \"OpenManage Integration for VMware vCenter Virtual Appliance Setup\"" /etc/dell_app_init/dell_app_init.conf
    sed -i "/title_text/c\title_text = \"OpenManage Integration for VMware vCenter\"" /etc/dell_app_init/dell_app_init.conf
    sed -i "/pre_url_text/c\pre_url_text = \"Advanced Configuration: \"" /etc/dell_app_init/dell_app_init.conf
    sed -i "/url_pre_section/c\url_pre_section = \"https://\"" /etc/dell_app_init/dell_app_init.conf
    sed -i "/url_post_section/c\url_post_section = \"\/DellAdminPortal\/index.html\"" /etc/dell_app_init/dell_app_init.conf

    sed -i "/DateButton =/c\DateButton = yes" /etc/dell_app_init/dell_app_init.conf
    sed -i "/KeyboardButton =/c\KeyboardButton = no" /etc/dell_app_init/dell_app_init.conf
    sed -i "/LanguageButton =/c\LanguageButton = no" /etc/dell_app_init/dell_app_init.conf
    sed -i "/NetworkButton =/c\NetworkButton = yes" /etc/dell_app_init/dell_app_init.conf
    sed -i "/HostnameButton =/c\HostnameButton = yes" /etc/dell_app_init/dell_app_init.conf
    sed -i "/PasswdButton =/c\PasswdButton = yes" /etc/dell_app_init/dell_app_init.conf
    sed -i "/RebootButton =/c\RebootButton = yes" /etc/dell_app_init/dell_app_init.conf
    sed -i "/EULATextButton =/c\EULATextButton = no" /etc/dell_app_init/dell_app_init.conf
	
    sed -i "s/description_text = \"Description goes here ... \"/description_text = \" \"/g;" /etc/dell_app_init/dell_app_init.conf

	chmod 755 /usr/bin/factory_reset.py
	chmod 755 /usr/bin/change_password.py
	chmod 755 /usr/bin/change_hostname.sh
	chmod 755 /usr/bin/ntp_mirror.sh
fi

