#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

echo "**********************************************"
echo "Copying Trust File into ${postgresql_path}/"
cp $THIS_DIR/pg_hba.conf.trust ${postgresql_path}/pg_hba.conf

echo "Restarting the Database"
systemctl restart ${postgresql}
  
# array=(/01CreateDB/* /02CreateTables/* /03PopulateData/* /04CreateViews/* /05CreateFunctions/*)
array=($THIS_DIR/01RoleCreation.sql $THIS_DIR/02DBCreation.sql $THIS_DIR/03EnablePlSQL.txt $THIS_DIR/01event_type.sql $THIS_DIR/02event_severity.sql $THIS_DIR/03event_category.sql $THIS_DIR/04event_catalog.sql $THIS_DIR/05event_definition.sql $THIS_DIR/06snmp_event.sql $THIS_DIR/07event_log.sql $THIS_DIR/1event_type.sql $THIS_DIR/2event_severity.sql $THIS_DIR/3event_category.sql $THIS_DIR/4event_catalog.sql $THIS_DIR/5event_definition.sql $THIS_DIR/6snmp_event.sql $THIS_DIR/testView.sql)


# exec &>/dbScript_log.log

len=${#array[*]}

echo  "**********************************************"
echo  "START EXECUTING DB SCRIPTS $(date) "
echo  "**********************************************"

echo "The Number of script files are: $len"

echo  "                                     "


i=0

      while [ $i -lt $len ]; do
	
         
        echo "${array[$i]}"

        if  [ ${array[$i]:${#array[$i]}-3:3} = "txt" ] ; then
                /usr/pgsql-9.6/bin/createlang plpgsql -U postgres -d postgres
        else if [ ${array[$i]:${#array[$i]}-3:3} = "sql" ] ; then
                 /usr/pgsql-9.6/bin/psql -h localhost -U postgres -d postgres -f "${array[$i]}"

            else
               echo Others    
            fi
       fi  
       let i++
   done

# echo "**********************************************"
echo "Copying Production File into ${postgresql_path}/"
cp $THIS_DIR/pg_hba.conf.prd ${postgresql_path}/pg_hba.conf

echo "Restarting the Database"
systemctl restart ${postgresql}

echo  "**********************************************"
echo   "DATABASE SCRIPTS ENDED $(date) "