#!/bin/bash

configscripts=/usr/share/webapps/spectre/configscripts
tomcatconf=/usr/share/tomcatSpectre/conf
iptables_prd=${configscripts}/iptables_prd
iptables_dbg=${configscripts}/iptables_addition
pghbaconf_prd=${configscripts}/pg_hba.conf.prd
pghbaconf_dbg=${configscripts}/pg_hba.conf.debug
pgsqlconf_prd=${configscripts}/postgresql.conf.prd
pgsqlconf_dbg=${configscripts}/postgresql.conf.debug
tmctsrvr_prd=${configscripts}/server.xml.prd
tmctsrvr_dbg=${configscripts}/server.xml.debug
sshconf_prd=/etc/ssh/sshd_config
postgresql_path=/var/lib/pgsql/9.6/data/
postgresql=postgresql-9.6

flag=$1


echo "turning debug mode $flag"

if [ "$flag" == "enable" ]; then

  #====== Stop the services =====#
  sudo /bin/systemctl stop tomcatSpectre.service
  res=$?

  if [ $res -ne 0 ]; then
   pid=`sudo /bin/systemctl status tomcatSpectre.service | cut -d" " -f3 | cut -d")" -f1 `
   pid=`echo $pid | tr -d '[:space:]'`
   if [ ! -z $pid ]; then kill -9 $pid ; fi
  fi

  sleep 10
  sudo /bin/systemctl stop ${postgresql}

  #===== Enabling ssh service ports =====#
  sudo firewall-cmd --add-service=ssh --permanent
  sudo firewall-cmd --add-port=22/tcp --permanent
  sudo firewall-cmd --reload
  
  #====== Open up sshd =====#
  sudo /bin/systemctl start sshd
  sudo /bin/systemctl enable sshd.service

  #====== Open up PostgreSQL =====#
  if [ ! -f "${pghbaconf_prd}" ]; then
      sudo cp -f ${postgresql_path}/pg_hba.conf ${pghbaconf_prd}
  fi
  if [ ! -f "${pgsqlconf_prd}" ]; then
      sudo cp -f ${postgresql_path}/postgresql.conf ${pgsqlconf_prd}
  fi
  sudo cp -f ${pghbaconf_dbg} ${postgresql_path}/pg_hba.conf
  sudo cp -f ${pgsqlconf_dbg} ${postgresql_path}/postgresql.conf
  sudo /bin/systemctl start ${postgresql}
 
  #====== Open up web service =====#
  if [ ! -f "${tmctsrvr_prd}" ]; then
      sudo cp -f ${tomcatconf}/server.xml ${tmctsrvr_prd}
  fi
  sudo cp -f ${tmctsrvr_dbg} ${tomcatconf}/server.xml
  sudo /bin/systemctl start tomcatSpectre
  
  rm -r /etc/sysconfig/debugmode

elif [ "$flag" == "disable" ]; then

  #====== Stop the services =====#
  sudo /bin/systemctl stop tomcatSpectre
  res=$?

  if [ $res -ne 0 ]; then
   pid=`sudo sudo /bin/systemctl status tomcatSpectre | cut -d" " -f3 | cut -d")" -f1 `
   pid=`echo $pid | tr -d '[:space:]'`
   if [ ! -z $pid ]; then kill -9 $pid ; fi
  fi

  sleep 10
  
  sudo /bin/systemctl stop ${postgresql}

  #====== Lock up PostgreSQL =====#
  sudo cp -f ${pgsqlconf_prd} ${postgresql_path}/postgresql.conf
  sudo cp -f ${pghbaconf_prd} ${postgresql_path}/pg_hba.conf
  sudo /bin/systemctl start ${postgresql} 

  #====== Lock up web service =====#
  sudo cp -f ${tmctsrvr_prd} ${tomcatconf}/server.xml
  sudo /bin/systemctl start tomcatSpectre

  #====== Lock up sshd =====#
  sudo /bin/systemctl stop sshd
  sudo /bin/systemctl disable sshd.service

  #===== Disabling ssh service ports =====#
  sudo firewall-cmd --remove-service=ssh --permanent
  sudo firewall-cmd --remove-port=22/tcp --permanent
  sudo firewall-cmd --reload
  
  rm -r /etc/sysconfig/debugmode
fi

