#!/bin/bash

FWD_ZONES=/etc/firewalld/zones

systemctl start firewalld

if [ "$(ls -A $FWD_ZONES)" ]; then
    echo "Reconfiguring firewall"
    rm -f $FWD_ZONES/*
    sudo firewall-cmd --reload
else
    echo "Configuring firewall"
fi

#Add http and https service to firewalld
sudo firewall-cmd --zone=public --add-service=https --permanent
sudo firewall-cmd --zone=public --add-service=http --permanent
#Enable mountd service
sudo firewall-cmd --zone=public --add-service=mountd --permanent
#Enable nfs service 
sudo firewall-cmd --zone=public --add-service=nfs  --permanent
#Enable rpc-bind service
sudo firewall-cmd --zone=public --add-service=rpc-bind --permanent
#Enable samba-client service
sudo firewall-cmd --zone=public --add-service=samba-client --permanent

sudo firewall-cmd --zone=public --add-interface=lo --permanent

#Add Auto discovery port & TLS default port exception
#  services: dhcpv6-client http https mountd nfs rpc-bind samba-client ssh
#  ports: 4003/tcp 2049/tcp 4433/tcp 443/tcp 111/tcp 111/udp 80/tcp 68/udp 162/udp 11620/udp 2049/udp 4001/udp 4001/tcp 4002/udp 4002/tcp 4003/udp 4004/udp 4004/tcp

#TCP
sudo firewall-cmd --zone=public --add-port=80/tcp --permanent
sudo firewall-cmd --zone=public --add-port=111/tcp --permanent
sudo firewall-cmd --zone=public --add-port=443/tcp --permanent
sudo firewall-cmd --zone=public --add-port=2049/tcp --permanent
sudo firewall-cmd --zone=public --add-port=4001/tcp --permanent
sudo firewall-cmd --zone=public --add-port=4002/tcp --permanent
sudo firewall-cmd --zone=public --add-port=4003/tcp --permanent
sudo firewall-cmd --zone=public --add-port=4004/tcp --permanent
sudo firewall-cmd --zone=public --add-port=4433/tcp --permanent
sudo firewall-cmd --zone=public --add-port=20048/tcp --permanent

#UDP
sudo firewall-cmd --zone=public --add-port=68/udp --permanent
sudo firewall-cmd --zone=public --add-port=111/udp --permanent
sudo firewall-cmd --zone=public --add-port=162/udp --permanent
sudo firewall-cmd --zone=public --add-port=2049/udp --permanent
sudo firewall-cmd --zone=public --add-port=4001/udp --permanent
sudo firewall-cmd --zone=public --add-port=4002/udp --permanent
sudo firewall-cmd --zone=public --add-port=4003/udp --permanent
sudo firewall-cmd --zone=public --add-port=4004/udp --permanent
sudo firewall-cmd --zone=public --add-port=11620/udp --permanent

#Adding port forwarding rules for traps
sudo firewall-cmd --permanent --add-forward-port=port=162:proto=udp:toport=11620

#Disabling ssh service ports
sudo firewall-cmd --remove-service=ssh --permanent
sudo firewall-cmd --remove-port=22/tcp --permanent

sudo firewall-cmd --reload
