#!/bin/bash

#create the directory to hold the staging files for deployment
mkdir -p /nfsstage/repository/ngm
mkdir -p /nfsstage/repository/online

#change the owner, permission and context of nfsstage
chown -R tomcat /nfsstage
chmod -R 755 /nfsstage
chcon -R -u system_u -r object_r -t root_t /nfsstage

#create system startup links for NFS server and start it.
chkconfig --levels 235 nfs on
systemctl restart  nfs.service
systemctl restart  nfslock.service

# modify /etc/exports that serves as the access control list for file systems which may be exported to NFS clients.
echo "/nfsstage 127.0.0.1(rw,sync,no_subtree_check)" > /etc/exports
chown tomcat:tomcat /etc/exports
chmod 744 /etc/exports

# call exportfs to make changes to exports file effective
exportfs -a

echo "nfs setup finished"
