#!/bin/bash
echo ""
echo ""
echo ""

LOCKFILE=/etc/sysconfig/spectreboot
echo "**********************************************"
echo " Shutting down tomcatSpectre...        $(date)"
echo "**********************************************"
/sbin/service tomcatSpectre stop
sleep 5
echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"
echo "**********************************************"
echo " Dumping tables...                     $(date)"
echo "**********************************************"
su -l postgres -c "/usr/pgsql-9.6/bin/dropdb VCenterDB"
sleep 5
su -l postgres -c "/usr/pgsql-9.6/bin/dropdb SpectreDB"
sleep 5

# echo Setting up admin user
passwd admin --delete
passwd readonly --delete
usermod -s /sbin/nologin -d /root -p '$6$ZlRsC9j0$meSFr4GtZUo0ebFUSXhEZd7Kp9Rw/elElYkDmekpRWH3wFAjZ.t4oIXFfNeS.QeBgiu8V3DSwRNK1Op7exfO./' root

rm -f /root/.pwset
cat /usr/share/webapps/spectre/configscripts/passwords.spectre > /usr/share/apache/passwd/passwords.file

echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo " Resetting Locks...                    $(date)" 
echo "**********************************************"
/bin/rm ${LOCKFILE}
sleep 2
echo "RUN_FIRSTBOOT=YES" > ${LOCKFILE}
sleep 2
echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"


echo "**********************************************"
echo "Resetting NTP Settings...              ${date}"
echo "**********************************************"

rm /etc/ntp.conf
touch /etc/ntp.conf
rm /etc/ntp/step-tickers
touch /etc/ntp/step-tickers

sudo /sbin/service ntpd stop
sudo /sbin/chkconfig ntpd off

sudo /usr/bin/vmware-toolbox-cmd timesync enable
echo -n "" > /etc/sysconfig/clock
ln -sf /usr/share/zoneinfo/America/New_York /etc/localtime 


echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo "Resetting EULA Agreement               ${date}"
echo "**********************************************"

rm -f /usr/share/tomcatSpectre/eulaAgreement.txt

echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo "Resetting Update Repository path...   ${date}"
echo "**********************************************"

sudo sed -i 's/\(baseurl=\)\(.*\)/\1http:\/\/linux\.dell\.com\/repo\/hardware\/vcenter-plugin-x64\/latest/' /etc/yum.repos.d/spectre.repo

echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"


echo "**********************************************"
echo "Resetting Hostname Settings...         ${date}"
echo "**********************************************"

/usr/bin/change_hostname.sh "localhost.localdomain"

systemctl restart network

echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo " Rebooting...                         $(date)"
echo "**********************************************"
# - Reboot now handled by Praveen's console UI script
#/sbin/shutdown -r "now"
exit 0
