INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 670454225, 'Temperature has been above the warning or critical threshold level for a long enough period of time to be considered in a warning state.', 'alertTemperatureStatisticsWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Warning'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 660454225, 'Temperature has been above the warning or critical threshold level for a long enough period of time to be considered in a critical state.', 'alertTemperatureStatisticsFailure',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Critical'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 680454225, 'Fiber Channel failure or critical event.', 'alertFiberChannelFailure',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Critical'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 690454225, 'Fiber Channel Warning.', 'alertFiberChannelWarning',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Warning'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 108454225, 'Network configuration failure.', 'alertNetworkConfigurationFailure',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Critical'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 109454225, 'Network configuration warning.', 'alertNetworkConfigurationWarning',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Warning'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 709454225, 'Fiber Channel information.', 'alertFiberChannelInformation',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Normal'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 989454225, 'Update job information.', 'alertUpdateJobInformation',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Normal'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 106454225, 'Auto discovery information.', 'alertAutoDiscoveryInformation',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Normal'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 110454225, 'Network configuration information.', 'alertNetworkConfigurationInformation',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Normal'));
INSERT INTO event_definition ( "event_definition_id", "description", "name", "event_catalog_id", "event_category_id", "event_type_id", "event_severity_id") VALUES ( 111454225, 'Memory device status is normal.', 'alertMemoryDeviceNormal',  (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Other'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name = 'Normal'));
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.1','6',2521,660454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.1','6',2537,680454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.5','6',10769,108454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.1','6',2522,670454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.1','6',2538,690454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.5','6',10770,109454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.1','6',2539,709454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.3','6',6211,989454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.5','6',10635,106454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.5.3.2.5','6',10771,110454225,'Message: $2, System Display Name: $7, System Service Tag: $4, FQDN: $5, FQDD: $6, Chassis Service Tag: $9 [Event Code:$1]','en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.1','6',1402,111454225,'$3','en');