--Entries in Event Definition

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (222222127,  'MM generic critical system alert.',  'alertGenericCritical', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (222222128,  'MM generic informational system alert.',  'alertGenericInformational', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (222222129,  'MM generic normal system alert.',  ' alertGenericNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (222222130,  'MM generic warning system alert.',  'alertGenericWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));

--Entries in SNMP_EVENT TABLE

INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.6',  '6',    '100',    '222222127',    'Message: $2, Device Service Tag: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.6',  '6',    '400',    '222222128',    'Message: $2, Device Service Tag: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.6',  '6',    '300',    '222222129',    'Message: $2, Device Service Tag: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.6',  '6',    '200',    '222222130',    'Message: $2, Device Service Tag: $5, [Event Code:$1]',  'en');



----------------------------------------------------------
-- NGM Chassis traps
----------------------------------------------------------

--Entries in Event Definition
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437515,  'Fan warning.',  'alert2FanWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437517, 'Temperature sensor has detected a failure value.',  ' alert2TemperatureProbeFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437518, 'Temperature sensor has detected a warning value.',  ' alert2TemperatureProbeWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437519, 'Temperature sensor value is within range.',  'alert2TemperatureProbeNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437520, 'Voltage sensor has detected a failure value.',  'alert2VoltageProbeFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437521, 'Voltage sensor has detected a warning value.',  ' alert2TemperatureProbeWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437522, 'Voltage sensor value is within range.',  'alert2VoltageProbeNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437523, 'Current sensor has detected a failure value.',  'alert2AmperageProbeFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437524, 'Current sensor has detected a warning value.',  ' alert2AmperageProbeWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437525, 'Current sensor reading is within range.',  'alert2AmperageProbeNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437526, 'Power supply has detected a failure.',  'alert2PowerSupplyFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437527, 'Power supply has detected a warning.',  ' alert2PowerSupplyWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437528, 'Power supply has returned to normal.',  'alert2PowerSupplyNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437529, 'Battery has failed or battery is absent.',  'alert2BatteryFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437530, 'Battery is low.',  ' alert2BatteryWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437531, 'Battery state has returned to normal or battery presence had been detected.',  'alert2BatteryNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437532, 'Link status failure or critical event.',  'alert2LinkStatusFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437533, 'Link status warning.',  'alert2LinkStatusWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437534, 'Link status information.', 'alert2LinkStatusInformation' , (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437535, 'Power usage critical.',  ' alert2PowerUsageFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437536, 'Power usage warning.',  'alert2PowerUsageWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437537, 'Power usage information.',  'alert2PowerUsageInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437538, 'Hardware configuration failure or critical event.',  'alert2HardwareConfigurationFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437539, 'Hardware configuration warning.',  'alert2HardwareConfigurationWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437540, 'Hardware configuration information.',  'alert2HardwareConfigurationInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437541, 'Software configuration failure.',  ' alert2SoftwareConfigurationFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437542, 'Software configuration warning.',  'alert2SoftwareConfigurationWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437543, 'Software configuration is  information.',  'alert2SoftwareConfigurationInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437544, 'System Event Log failure or critical event.',  'alert2SystemEventLogFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437545, 'System Event Log warning.',  'alert2SystemEventLogWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437546, 'System Event Log information.',  'alert2SystemEventLogInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437547, 'Security failure or critical event.',  'alert2SecurityFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437548, 'Security warning.',  'alert2SecurityWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437549, 'Security information.',  'alert2SecurityInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437550, 'Cable failure.',  'alert2CableFailure',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437551, 'Power supply is absent.',  'alert2PowerSupplyAbsent',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437552, 'Redundancy is lost.',  'alert2RedundancyLost', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437553, 'Redundancy is degraded.',  'alert2RedundancyDegraded', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437554, 'Redundancy information.',  'alert2RedundancyInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437555,  'Chassis Management Module detected an error.',  'alert2CMCFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437556,  'Chassis Management Module detected a warning.',  '  alert2CMCWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437557,  'IO Virtualization failure or critical event',  ' alert2IOVirtualizationFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437558, 'IO Virtualization warning.',  'alert2IOVirtualizationWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437559, 'IO Virtualization information.',  'alert2IOVirtualizationInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437560,  'Storage Management has detected a device independent error condition. There is no global status change associated with this trap.',  'alert2StorageManagementFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437561, 'Storage Management has detected a device independent warning condition. There is no global status change associated with this trap.',  'alert2StorageManagementWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437562, 'Storage Management information. There is no global status change associated with this trap.',  'alert2StorageManagementInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437563,  'Storage Fan failure.', 'alert2StorageFanFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437564, 'Storage Fan warning.',  'alert2StorageFanWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437565, 'Storage Fan information.',  'alert2StorageFanInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437566,  'Storage Temperature probe failure.',  'alert2StorageTemperatureProbeFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437567, 'Storage Temperature probe warning.',  'alert2StorageTemperatureProbeWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437568, 'Storage Temperature probe information.',  'alert2StorageTemperatureProbeInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437569, 'Storage Power supply failure.',  'alert2StoragePowerSupplyFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437570, 'Storage Power supply warning.',  ' alert2StoragePowerSupplyWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437571, 'Storage Power supply information.',  'alert2StoragePowerSupplyInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437572, 'Storage Battery failure.',  'alert2StorageBatteryFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437573, 'Storage Battery warning.',  'alert2StorageBatteryWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437574, 'Storage Battery information.',  'alert2StorageBatteryInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437575, 'Storage Controller failure.',  ' alert2StorageControllerFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437576, 'Storage Controller warning.',  'alert2StorageControllerWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437577, 'Storage Controller information.',  'alert2StorageControllerInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437578, 'Storage Enclosure failure.',  'alert2StorageEnclosureFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437579, 'Storage Enclosure warning.',  'alert2StorageEnclosureWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437580, 'Storage Enclosure information.',  'alert2StorageEnclosureInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437581, 'Storage Physical disk failure.',  'alert2StoragePhysicalDiskFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437582, 'Storage Physical disk warning.',  'alert2StoragePhysicalDiskWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437583, 'Storage Physical disk information.',  'alert2StoragePhysicalDiskInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437584, 'Storage Virtual disk failure.',  'alert2StorageVirtualDiskFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437585, 'Storage Virtual disk warning.',  'alert2StorageVirtualDiskWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437586, 'Storage Virtual disk information.',  'alert2StorageVirtualDiskInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437587, 'Storage Security failure or critical event.',  'alert2StorageSecurityFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437588, 'Storage Security warning.',  'alert2StorageSecurityWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437589, 'Storage Security information.',  'alert2StorageSecurityInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437590, 'Software change update warning.',  'alert2SoftwareChangeUpdateWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437591, 'Power Supply audit failure or critical event.',  'alert2PowerSupplyAuditFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437592, 'Power Supply audit warning.',  ' alert2PowerSupplyAuditWarning',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437593, 'Software change audit failure or critical event.',  'alert2SoftwareChangeAuditFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437594, 'Power usage audit failure or critical event.',  ' alert2PowerUsageAuditFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437595, 'Power usage audit warning.',  'alert2PowerUsageAuditWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437596, 'Power usage audit information.',  'alert2PowerUsageAuditInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437597, 'License failure.',  'alert2LicenseFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437598, 'License warning.',  'alert2LicenseWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437599, 'License information.',  'alert2LicenseInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437600, 'PCI device audit warning.',  'alert2PCIDeviceAuditWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437601, 'Chassis Management Module audit failure or critical event.',  'alert2CMCAuditFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437602, 'Chassis Management Module audit warning.',  'alert2CMCAuditWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437603, 'Chassis Management Module audit information.',  'alert2CMCAuditInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437604, 'IO Virtualization audit warning.',  'alert2IOVirtualizationAuditWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437606, 'Software configuration failure.',  'alert2SWCConfigurationFailure', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437607, 'Software configuration warning.',  'alert2SWCConfigurationWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437608, 'PCI device configuration information.',  'alert2PCIDeviceConfigurationInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));

INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437609, 'IO Virtualization configuration warning.',  'alert2IOVConfigurationWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id,  redundant_component,  overridden_severity_id) VALUES (2083437610, 'IO Virtualization configuration information.',  'alert2IOVConfigurationInformation',(SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Environmental'),(SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Info'), null, (SELECT event_severity_id FROM event_severity WHERE name =  'Info'));




--Entries in SNMP_EVENT TABLE
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2154',    '2083437515',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2161',    '2083437517',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2162',    '2083437518',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2163',    '2083437519',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2169',    '2083437520',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2170',    '2083437521',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2171',    '2083437522',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2177',    '2083437523',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2178',    '2083437524',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2179',    '2083437525',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2185',    '2083437526',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2186',    '2083437527',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2187',    '2083437528',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2225',    '2083437529',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2226',    '2083437530',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2227',    '2083437531',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2249',    '2083437532',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2250',    '2083437533',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2251',    '2083437534',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2273',    '2083437535',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2274',    '2083437536',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2275',    '2083437537',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2329',    '2083437538',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2330',    '2083437539',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2331',    '2083437540',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2337',    '2083437541',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2338',    '2083437542',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2339',    '2083437543',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2377',    '2083437544',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2378',    '2083437545',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2379',    '2083437546',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2385',    '2083437547',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2386',    '2083437548',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2387',    '2083437549',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2393',    '2083437550',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2465',    '2083437551',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2473',    '2083437552',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2474',    '2083437553',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2475',    '2083437554',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2545',    '2083437555',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2546',    '2083437556',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2553',    '2083437557',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2554',    '2083437558',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '2555',    '2083437559',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4177',    '2083437560',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4178',    '2083437561',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4179',    '2083437562',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4201',    '2083437563',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4202',    '2083437564',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4203',    '2083437565',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4209',    '2083437566',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4210',    '2083437567',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4211',    '2083437568',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4233',    '2083437569',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4234',    '2083437570',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4235',    '2083437571',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4273',    '2083437572',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4274',    '2083437573',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4275',    '2083437574',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4329',    '2083437575',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4330',    '2083437576',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4331',    '2083437577',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4337',    '2083437578',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4338',    '2083437579',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4339',    '2083437580',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4345',    '2083437581',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4346',    '2083437582',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4347',    '2083437583',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4353',    '2083437584',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4354',    '2083437585',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4355',    '2083437586',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4433',    '2083437587',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4434',    '2083437588',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '4435',    '2083437589',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '6314',    '2083437590',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8329',    '2083437591',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8330',    '2083437592',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8361',    '2083437593',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8417',    '2083437594',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8418',    '2083437595',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8419',    '2083437596',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8513',    '2083437597',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8514',    '2083437598',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8515',    '2083437599',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8562',    '2083437600',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8689',    '2083437601',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8690',    '2083437602',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8691',    '2083437603',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '8698',    '2083437604',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '10529',   '2083437606',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '10530',   '2083437607',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '10611',   '2083437608',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '10746',   '2083437609',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');
INSERT INTO snmp_event(snmp_event_id, enterprise_oid, generic_trap_id, specific_trap_id, event_definition_id, format_string, locale ) VALUES (nextval('SEQ_SNMP_EVENT'),  '.1.3.6.1.4.1.674.10892.6.5',  '6',    '10747',   '2083437610',    'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]',  'en');


--For NGM Chassis Traps
--For Power Traps.
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437504,  'The Power are redundant.',  'alertPowerRedudancyNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437505,  'Power redundancy is lost.',  'alertPowerRedudancyCritical', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437506,  'Power is degraded.',  'alertPowerRedudancyWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437507,  'The power supplies are not redundant.',  'alertPowerRedudancyNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437508,  'The power supplies are not redundant. Insufficient resources to maintain normal operations.',  'alertPowerRedudancyCritical', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));

--For Fan traps
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437509,  'The fans are redundant.',  'alertFanRedudancyNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437510,  'Fan redundancy is lost.', 'alertFanRedudancyCritical', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437511,  'Fan redundancy is degraded.',  'alertFanRedudancyWarning', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Warning'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437512,  'The fans are not redundant.',  'alertFanRedudancyNormal', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Normal'));
INSERT INTO event_definition ( event_definition_id,  description,  name,  event_catalog_id,  event_category_id,  event_type_id,  event_severity_id) VALUES (2083437513,  'The fans are not redundant. Insufficient resources to maintain normal operations.',  'alertFanRedudancyCritical', (SELECT event_catalog_id FROM event_catalog WHERE name = 'MIB-10892'), (SELECT id FROM event_category WHERE name = 'Power'), (SELECT event_type_id FROM event_type WHERE name = 'SNMP'), (SELECT event_severity_id FROM event_severity WHERE name =  'Critical'));




--For NGM Chassis Power Redundancy
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437504,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0011');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437505,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0012');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,200,2083437506,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0013');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437507,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0014');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437508,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0015');


--For NGM Chassis FAN Redundancy
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.5',6,2155,2083437509,'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]','en','RDU0001');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.5',6,2153,2083437510,'Message: $2, Chassis Name: $6, Chassis Service Tag: $7, FQDD: $5, [Event Code:$1]','en','RDU0002');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,200,2083437511,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0003');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437512,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0004');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale","message_id") VALUES  (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437513,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0005');

--Marking proactive Events as True.
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=2083437504;
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=2083437505;
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=2083437506;
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=2083437508;
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=2083437509;
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=2083437510;
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=2083437511;
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=2083437513;


-- Inserting only redundancy events in this table
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437504);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437505);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437506);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437508);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437509);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437510);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437511);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437513);

--For NGM Server trap Redundancy
--not adding to trrapdefs_en as already defined in VCenter
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437456,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0002');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437462,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0013');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437457,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0003');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437455,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RDU0001');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,100,2083437466,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RRDU0002');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,200,2083437467,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RRDU0003');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437465,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RRDU0001');
INSERT INTO snmp_event("snmp_event_id", "enterprise_oid", "generic_trap_id", "specific_trap_id","event_definition_id", "format_string", "locale", "message_id") VALUES (nextval('SEQ_SNMP_EVENT'),'.1.3.6.1.4.1.674.10892.6.6',6,400,2083437468,'Message: $2, Device Service Tag: $5, [Event Code:$1]','en','RRDU0004');

INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437465);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437467);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437466);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437455);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437457);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437456);
INSERT INTO pha_events_redundancy_table("event_definition_id") VALUES (2083437462);

INSERT INTO pha_events_table("event_definition_id") VALUES (2083437510);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437515);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437509);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437526);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437527);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437528);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437512);
INSERT INTO pha_events_table("event_definition_id") VALUES (2083437507);

-- For IPMI Power redundancy lost event.
INSERT INTO pha_events_table("event_definition_id") VALUES (1008007348);
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=1008007348;

INSERT INTO pha_events_table("event_definition_id") VALUES (1010634722);
UPDATE event_definition SET redundant_component='POWER' WHERE event_definition_id=1010634722;

INSERT INTO pha_events_table("event_definition_id") VALUES (1841710601);
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=1841710601;

INSERT INTO pha_events_table("event_definition_id") VALUES (925732476);
UPDATE event_definition SET redundant_component='FAN' WHERE event_definition_id=925732476;
